summaryrefslogtreecommitdiff
path: root/source4
diff options
context:
space:
mode:
authorAndrew Bartlett <abartlet@samba.org>2012-08-27 21:02:28 +1000
committerAndrew Bartlett <abartlet@samba.org>2012-08-28 07:57:29 +1000
commit1a8fd711d7e4f97a6749b5d6c4806b11c38f20f4 (patch)
tree89e55543ec1644da82447c2c4bdf35d5f6e91861 /source4
parente66fa2c8134a886f52419f4a33992b200b00ff49 (diff)
downloadsamba-1a8fd711d7e4f97a6749b5d6c4806b11c38f20f4.tar.gz
samba-1a8fd711d7e4f97a6749b5d6c4806b11c38f20f4.tar.bz2
samba-1a8fd711d7e4f97a6749b5d6c4806b11c38f20f4.zip
selftest: Add test of smbclient --machine-pass against and using both s3 and s4
This uses both smbclient binaries to ensure that both work in both environments. Andrew Bartlett
Diffstat (limited to 'source4')
-rwxr-xr-xsource4/selftest/tests.py3
-rwxr-xr-xsource4/utils/tests/test_smbclient.sh34
2 files changed, 37 insertions, 0 deletions
diff --git a/source4/selftest/tests.py b/source4/selftest/tests.py
index b453922c46..f205fe4745 100755
--- a/source4/selftest/tests.py
+++ b/source4/selftest/tests.py
@@ -304,6 +304,9 @@ planpythontestsuite("s3dc", "samba.tests.libsmb_samba_internal");
# the API. These mainly test that the various command-line options of commands
# work correctly.
+for env in ["s3member", "s4member", "dc"]:
+ plantestsuite("samba4.blackbox.smbclient(%s:local)" % env, "%s:local" % env, [os.path.join(samba4srcdir, "utils/tests/test_smbclient.sh"), '$SERVER', '$SERVER_IP', '$USERNAME', '$PASSWORD', '$DOMAIN', smbclient])
+
planpythontestsuite("none", "samba.tests.blackbox.ndrdump")
planpythontestsuite("none", "samba.tests.source")
plantestsuite("samba4.blackbox.samba_tool(dc:local)", "dc:local", [os.path.join(samba4srcdir, "utils/tests/test_samba_tool.sh"), '$SERVER', '$SERVER_IP', '$USERNAME', '$PASSWORD', '$DOMAIN', smbclient])
diff --git a/source4/utils/tests/test_smbclient.sh b/source4/utils/tests/test_smbclient.sh
new file mode 100755
index 0000000000..a91c2db1bd
--- /dev/null
+++ b/source4/utils/tests/test_smbclient.sh
@@ -0,0 +1,34 @@
+#!/bin/sh
+# Blackbox tests for smbclient
+
+SERVER=$1
+SERVER_IP=$2
+USERNAME=$3
+PASSWORD=$4
+DOMAIN=$5
+smbclient=$6
+shift 6
+
+failed=0
+
+testit() {
+ name="$1"
+ shift
+ cmdline="$*"
+ echo "test: $name"
+ $cmdline
+ status=$?
+ if [ x$status = x0 ]; then
+ echo "success: $name"
+ else
+ echo "failure: $name"
+ failed=`expr $failed + 1`
+ fi
+ return $status
+}
+
+testit "Test login with --machine-pass without kerberos" $VALGRIND $smbclient -c 'ls' $CONFIGURATION //$SERVER/tmp --machine-pass -k no
+
+testit "Test login with --machine-pass and kerberos" $VALGRIND $smbclient -c 'ls' $CONFIGURATION //$SERVER/tmp --machine-pass -k yes
+
+exit $failed